# Agora chat sdk Introduction

Agora chat sdk provides complete instant messaging function development capabilities, shields/encapsulate and block its internal complex details, and provides a relatively simple and concise API interface to facilitate third-party applications to quickly integrate instant messaging functions for PC/mobile Web applications

----------

## Chat SDK can be integrated in the following way:

1. Install

```
npm install easemob-websdk --save
```

2. Import websdk
```
import websdk from 'easemob-websdk'
```

3. Initialize the SDK
```js
const WebIM = {}
const conn = WebIM.conn = new websdk.connection({
    appKey: 'your app key'
})
```

4. Login chat server
```js
const options = { 
  user: 'username',
  pwd: 'password'
};
conn.open(options);
```

5. Send a message
```js
let id = conn.getUniqueId()
let msg = new WebIM.message('txt', id);
msg.set({
    msg: 'message content', 
    to: 'username',
    chatType: 'singleChat',
    success: function () {
        console.log('send private text Success');  
    }, 
    fail: function(e){ }
});
conn.send(msg.body);

```





